com.holonplatform.vaadin.flow.components

## Interface Input.InputPropertyRenderer<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    com.holonplatform.core.property.PropertyRenderer<Input<T>,T>
  Enclosing interface:
    Input<T>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface Input.InputPropertyRenderer<T>
      extends com.holonplatform.core.property.PropertyRenderer<Input<T>,T>

  A convenience interface with a fixed `Input` rendering type to use a `Input` `PropertyRenderer` as a functional interface.

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Input.InputPropertyRenderer<T>` | `create(Function<com.holonplatform.core.property.Property<? extends T>,Input<T>> function)` Create a new `Input.InputPropertyRenderer` using given function.
    `default Class<? extends Input<T>>` | `getRenderType()`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create, render`

- - ### Method Detail

    - #### getRenderType

          default Class<? extends Input<T>> getRenderType()

      Specified by:
        `getRenderType` in interface `com.holonplatform.core.property.PropertyRenderer<Input<T>,T>`

    - #### create

          static <T> Input.InputPropertyRenderer<T> create(Function<com.holonplatform.core.property.Property<? extends T>,Input<T>> function)

      Create a new `Input.InputPropertyRenderer` using given function.
      Type Parameters:
        `T` - Property type
      Parameters:
        `function` - Function to use to provide the `Input` component
      Returns:
        A new `Input.InputPropertyRenderer`

Copyright © 2019 The Holon Platform. All rights reserved.